oracle.pg.hbase

## Class HBaseIndexManager

- java.lang.Object
- - oracle.pg.text.OracleIndexManager
  - - oracle.pg.hbase.HBaseIndexManager

-     public class HBaseIndexManager
      extends OracleIndexManager

  A single point for accessing all vertex and edge indices of a specific `OraclePropertyGraph` object.

- - ### Field Summary

    - ### Fields inherited from class oracle.pg.text.OracleIndexManager

      `EDGE_CLASS_ID, VERTEX_CLASS_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HBaseIndexManager(OraclePropertyGraph opg)` Creates a new HBaseIndexManager object, handling all Lucene indexes of the specified property graph.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLuceneParametersToPut(org.apache.hadoop.hbase.client.Put p, OracleIndex index)` Adds the required Lucene Parameters to the Put operation
    `void` | `addSolrParametersToPut(org.apache.hadoop.hbase.client.Put p, OracleIndex index)` Adds the required Solr Parameters to the Put operation
    `<T extends Element> List<String>` | `getIndexedKeys(String indexName, Class<T> indexClass)` Gets all the keys associated to the specified auto index and stored in the index meta data table.
    `void` | `getLuceneParametersFromResult(List<Parameter> parameters, org.apache.hadoop.hbase.client.Result result)` Gets the Lucene Parameters from the Result object and adds them to the List
    `void` | `getSolrParametersFromResult(List<Parameter> parameters, org.apache.hadoop.hbase.client.Result result)` Gets the Solr Parameters from the Result object and adds them to the List

    - ### Methods inherited from class oracle.pg.text.OracleIndexManager

      `clearAndCloseIndices, clearIndices, close, closeIndices, commitIndices, containsIndexedKey, createIndex, disableEdgeAutoIndexer, disableVertexAutoIndexer, dropAllAutoIndices, dropAllIndices, dropAllManualIndices, dropIndex, dropIndices, enableEdgeAutoIndexer, enableVertexAutoIndexer, existEdgeIndex, existVertexIndex, getEdgeAutoIndexer, getEdgeAutoIndexName, getEdgeIndex, getEntityTypeAsInt, getIndices, getVertexAutoIndexer, getVertexAutoIndexName, getVertexIndex, indexAlreadyExists, isEdgeAutoIndexerEnabled, isVertexAutoIndexerEnabled, remove, removePropertyFromIndices, startAutoIndexingProperties, startAutoIndexingProperty, stopAutoIndexingProperties, stopAutoIndexingProperty`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HBaseIndexManager

          public HBaseIndexManager(OraclePropertyGraph opg)

      Creates a new HBaseIndexManager object, handling all Lucene indexes of the specified property graph.
      Parameters:
        `opg` - a `OraclePropertyGraph` object.

  - ### Method Detail

    - #### addLuceneParametersToPut

          public void addLuceneParametersToPut(org.apache.hadoop.hbase.client.Put p,
                                      OracleIndex index)

      Adds the required Lucene Parameters to the Put operation
      Parameters:
        `p` - the Put object to add the Parameters to.
        `index` - the OracleIndex object with the Parameters to add to the Put.

    - #### addSolrParametersToPut

          public void addSolrParametersToPut(org.apache.hadoop.hbase.client.Put p,
                                    OracleIndex index)

      Adds the required Solr Parameters to the Put operation
      Parameters:
        `p` - the Put object to add the Parameters to.
        `index` - the OracleIndex object with the Parameters to add to the Put.

    - #### getIndexedKeys

          public <T extends Element> List<String> getIndexedKeys(String indexName,
                                                        Class<T> indexClass)

      Gets all the keys associated to the specified auto index and stored in the index meta data table.
      Specified by:
        `getIndexedKeys` in class `OracleIndexManager`
      Parameters:
        `indexName` - the name of the auto index.
        `indexClass` - the class associated to the index (Vertex, Edge)

    - #### getLuceneParametersFromResult

          public void getLuceneParametersFromResult(List<Parameter> parameters,
                                           org.apache.hadoop.hbase.client.Result result)

      Gets the Lucene Parameters from the Result object and adds them to the List
      Parameters:
        `parameters` - the List of Parameters to add the Parameters to.
        `result` - the Result object to get the parameters from.

    - #### getSolrParametersFromResult

          public void getSolrParametersFromResult(List<Parameter> parameters,
                                         org.apache.hadoop.hbase.client.Result result)

      Gets the Solr Parameters from the Result object and adds them to the List
      Parameters:
        `parameters` - the List of Parameters to add the Parameters to.
        `result` - the Result object to get the parameters from.

Copyright © 2015 Oracle and/or its affiliates. All Rights Reserved.